# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_offset
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_offset"
		Strings = LanguageHandler.new( NAME + ".strings")
		TOOL=Strings["Offset"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator = 'Suforyou'
		@ext.version = '3.4.0'
		@ext.description = Strings["Multiple Offset Selected Edges or Faces. Offset both side. Random Offset."]
		Sketchup.register_extension @ext, true
	end
end
